For the complete documentation index, see llms.txt. This page is also available as Markdown.

Launchpad

get

Retrieve Accepted Students.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/accepted-students/
GET /api/v1/launchpad/accepted-students/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "data": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
get

Retrieve Accepted Students.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
job_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/accepted-students/{job_id}/
GET /api/v1/launchpad/accepted-students/{job_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "data": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
post

Create Add Job.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Body
idstring · max: 36Required
companystringRequired
recruiterstringRequired
titlestring · max: 100Required
skillsstring · nullableOptional
experiencestring · nullableOptional
domainstring · max: 255Required
opening_typestring · nullableOptionalDefault: General
locationstring · max: 255 · nullableOptional
salary_rangestring · max: 50 · nullableOptional
job_typestring · max: 50 · nullableOptional
minimum_karmainteger · min: -2147483648 · max: 2147483647 · nullableOptional
interest_groupsstring · max: 255Required
taskstring · nullableOptional
created_atstring · date-timeRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/add-job/
POST /api/v1/launchpad/add-job/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 256

{
  "id": "text",
  "company": "text",
  "recruiter": "text",
  "title": "text",
  "skills": "text",
  "experience": "text",
  "domain": "text",
  "opening_type": "General",
  "location": "text",
  "salary_range": "text",
  "job_type": "text",
  "minimum_karma": 1,
  "interest_groups": "text",
  "task": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "company": "text",
    "recruiter": "text",
    "title": "text",
    "skills": "text",
    "experience": "text",
    "domain": "text",
    "opening_type": "General",
    "location": "text",
    "salary_range": "text",
    "job_type": "text",
    "minimum_karma": 1,
    "interest_groups": "text",
    "task": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Application Final Decision.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/application-final-decision/
POST /api/v1/launchpad/application-final-decision/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "application_id": "text",
    "decision": "text",
    "previous_status": "text",
    "decision_made_at": "2026-01-01T00:00:00.000Z",
    "decision_made_by": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "student_info": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "job_info": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "application_timeline": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
post

Create Bulk Launchpad User.

Authorizations
sessionidstringOptional
Body
idstring · max: 36Read-onlyRequired
full_namestring · max: 255 · nullableOptional
emailstring · max: 255Required
phone_numberstring · max: 15 · nullableOptional
rolestring · enumRequired
  • IEEEAdmin - IEEEAdmin
  • IEEEDC - IEEEDC
Possible values:
districtstring · max: 100 · nullableOptional
zonestring · max: 100 · nullableOptional
collegesstring[]Write-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/bulk-user-college-link/
POST /api/v1/launchpad/bulk-user-college-link/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 128

{
  "full_name": "text",
  "email": "text",
  "phone_number": "text",
  "role": "IEEEAdmin",
  "district": "text",
  "zone": "text",
  "colleges": [
    "text"
  ]
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "IEEEAdmin",
    "district": "text",
    "zone": "text"
  }
}
post

Create Change Password.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Body
current_passwordstringRequired
new_passwordstring · min: 8Required
confirm_passwordstring · min: 8Required
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/change-password/
POST /api/v1/launchpad/change-password/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 75

{
  "current_password": "text",
  "new_password": "text",
  "confirm_password": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "current_password": "text",
    "new_password": "text",
    "confirm_password": "text"
  }
}
get

Retrieve College Data.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/college-data/
GET /api/v1/launchpad/college-data/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "district_name": "text",
    "state": "text",
    "total_users": 1,
    "level1": 1,
    "level2": 1,
    "level3": 1,
    "level4": 1
  }
}
post

Create Get Company Info.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/company-info/
POST /api/v1/launchpad/company-info/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "username": "text",
    "poc_name": "text",
    "poc_role": "text",
    "poc_email": "text",
    "poc_phone": "text",
    "website": "text",
    "description": "text",
    "address": "text",
    "is_verified": true,
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "recruiters": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  }
}
get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/launchpad/company-list/
GET /api/v1/launchpad/company-list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get

Retrieve Company List Verified.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/company-list-verified/
GET /api/v1/launchpad/company-list-verified/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "name": "text",
    "website": "https://example.com"
  }
}
post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/launchpad/company-verify/
POST /api/v1/launchpad/company-verify/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

patch
Authorizations
sessionidstringOptional
Responses
200

No response body

No content

patch/api/v1/launchpad/delete-company/
PATCH /api/v1/launchpad/delete-company/ HTTP/1.1
Accept: */*
200

No response body

No content

post

Create Forgot Password.

Authorizations
sessionidstringOptional
Body
emailstring · emailRequired
user_typestring · enumRequired
  • company - Company
  • recruiter - Recruiter
Possible values:
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/forgot-password/
POST /api/v1/launchpad/forgot-password/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "email": "name@gmail.com",
  "user_type": "company"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "email": "name@gmail.com",
    "user_type": "company"
  }
}
get
Authorizations
sessionidstringOptional
Path parameters
launchpad_idstringRequired
Responses
200

No response body

No content

get/api/v1/launchpad/get-user-levels/{launchpad_id}/
GET /api/v1/launchpad/get-user-levels/{launchpad_id}/ HTTP/1.1
Accept: */*
200

No response body

No content

get

Retrieve Hire Requests.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/hire-requests/
GET /api/v1/launchpad/hire-requests/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "data": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
get

Retrieve I G Leaderboard.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/ig-leaderboard/
GET /api/v1/launchpad/ig-leaderboard/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "data": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
get

Retrieve Job.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
job_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/job/{job_id}/
GET /api/v1/launchpad/job/{job_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "title": "text",
    "skills": "text",
    "experience": "text",
    "location": "text",
    "salary_range": "text",
    "job_type": "text",
    "interest_groups": "text",
    "opening_type": "General",
    "task_description": "text",
    "hashtags": "text"
  }
}
put

Update Job.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
job_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/launchpad/job/{job_id}/
PUT /api/v1/launchpad/job/{job_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "title": "text",
    "skills": "text",
    "experience": "text",
    "location": "text",
    "salary_range": "text",
    "job_type": "text",
    "interest_groups": "text",
    "opening_type": "General",
    "task_description": "text",
    "hashtags": "text"
  }
}
delete

Delete Job.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
job_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/launchpad/job/{job_id}/
DELETE /api/v1/launchpad/job/{job_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "title": "text",
    "skills": "text",
    "experience": "text",
    "location": "text",
    "salary_range": "text",
    "job_type": "text",
    "interest_groups": "text",
    "opening_type": "General",
    "task_description": "text",
    "hashtags": "text"
  }
}
get

Retrieve Launchpad Details Count.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/launchpad-details/
GET /api/v1/launchpad/launchpad-details/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "total_participants": 1,
    "Level_1": 1,
    "Level_2": 1,
    "Level_3": 1,
    "Level_4": 1
  }
}
get

Retrieve Leaderboard.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/leaderboard/
GET /api/v1/launchpad/leaderboard/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "rank": 1,
    "full_name": "text",
    "actual_karma": 1,
    "karma": 1,
    "org": "text",
    "district_name": "text",
    "state": "text",
    "launchpad_id": {
      "launchpad_id": "text"
    }
  }
}
get

Retrieve List Jobs.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/list-jobs/
GET /api/v1/launchpad/list-jobs/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "jobs": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "summary": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
get

Retrieve List Launchpad Students.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
job_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/list-launchpad-students/{job_id}/
GET /api/v1/launchpad/list-launchpad-students/{job_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "muid": "text",
    "profile_pic": "text",
    "karma": 0,
    "level": "text",
    "college_name": "text",
    "interest_groups": "text",
    "roles": "text",
    "rank": "text",
    "karma_distribution": "text",
    "application_id": "text",
    "application_status": "text",
    "application_timeline": "text",
    "candidate_links": "text"
  }
}
get

Retrieve List Participants.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/list-participants/
GET /api/v1/launchpad/list-participants/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "level": "text",
    "org": "text",
    "district_name": "text",
    "state": "text"
  }
}
get

Retrieve Launch Pad List Admin.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/list-participants-admin/
GET /api/v1/launchpad/list-participants-admin/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "rank": 1,
    "full_name": "text",
    "actual_karma": 1,
    "karma": 1,
    "org": "text",
    "district_name": "text",
    "state": "text",
    "launchpad_id": {
      "launchpad_id": "text"
    }
  }
}
post

Create Login Company.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/login-company/
POST /api/v1/launchpad/login-company/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "username": "text",
    "poc_name": "text",
    "poc_email": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "accessToken": "text",
    "refreshToken": "text"
  }
}
post

Create Login Recruiter.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/login-recruiter/
POST /api/v1/launchpad/login-recruiter/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "email": "text",
    "phone": "text",
    "role": "text",
    "company_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "accessToken": "text",
    "refreshToken": "text"
  }
}
post

Create Get Recruiter Info.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/recruiter-info/
POST /api/v1/launchpad/recruiter-info/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "email": "text",
    "phone": "text",
    "role": "text",
    "company_id": "text",
    "company_name": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Refresh Token.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/refresh-token/
POST /api/v1/launchpad/refresh-token/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "accessToken": "text",
    "refreshToken": "text"
  }
}
post

Create Register Company.

Authorizations
sessionidstringOptional
Body
idstring · max: 36Required
namestring · max: 100Required
poc_namestring · max: 100Required
poc_rolestring · max: 100Required
poc_emailstring · max: 100Required
websitestring · uri · max: 200 · nullableOptional
descriptionstring · nullableOptional
addressstring · max: 255 · nullableOptional
poc_phonestring · max: 20Required
usernamestring · max: 50Required
passwordstring · max: 255Required
is_verifiedbooleanOptional
created_atstring · date-timeRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/register-company/
POST /api/v1/launchpad/register-company/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 226

{
  "id": "text",
  "name": "text",
  "poc_name": "text",
  "poc_role": "text",
  "poc_email": "text",
  "website": "https://example.com",
  "description": "text",
  "address": "text",
  "poc_phone": "text",
  "username": "text",
  "password": "text",
  "is_verified": true
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "name": "text",
    "poc_name": "text",
    "poc_role": "text",
    "poc_email": "text",
    "website": "https://example.com",
    "description": "text",
    "address": "text",
    "poc_phone": "text",
    "username": "text",
    "password": "text",
    "is_verified": true,
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Register Recruiter.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Body
idstring · max: 36Required
companystringRequired
namestring · max: 100Required
emailstring · max: 100Required
phonestring · max: 20Required
passwordstring · max: 255Required
rolestring · max: 50 · nullableOptional
created_atstring · date-timeRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/register-recruiter/
POST /api/v1/launchpad/register-recruiter/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 106

{
  "id": "text",
  "company": "text",
  "name": "text",
  "email": "text",
  "phone": "text",
  "password": "text",
  "role": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "company": "text",
    "name": "text",
    "email": "text",
    "phone": "text",
    "password": "text",
    "role": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Reset Password.

Authorizations
sessionidstringOptional
Body
tokenstringRequired
new_passwordstring · min: 8Required
confirm_passwordstring · min: 8Required
user_typestring · enumRequired
  • company - Company
  • recruiter - Recruiter
Possible values:
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/reset-password/
POST /api/v1/launchpad/reset-password/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "token": "text",
  "new_password": "text",
  "confirm_password": "text",
  "user_type": "company"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "token": "text",
    "new_password": "text",
    "confirm_password": "text",
    "user_type": "company"
  }
}
post

Create Schedule Interview.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/schedule-interview/
POST /api/v1/launchpad/schedule-interview/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "application_id": "text",
    "interview_date": "2026-01-01",
    "interview_platform": "text",
    "interview_time": "00:00:00",
    "status": "text"
  }
}
post

Create Send Job Invitations.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/send-job-invitations/
POST /api/v1/launchpad/send-job-invitations/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "job_info": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "invitation_summary": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "invited_students": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "already_invited_students": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  }
}
get
Authorizations
sessionidstringOptional
Path parameters
launchpad_idstringRequired
Responses
200

No response body

No content

get/api/v1/launchpad/socials/{launchpad_id}/
GET /api/v1/launchpad/socials/{launchpad_id}/ HTTP/1.1
Accept: */*
200

No response body

No content

post

Create Student Apply To Job.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/student/apply-to-job/
POST /api/v1/launchpad/student/apply-to-job/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "application_id": "text",
    "job_info": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "application_details": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "status": "text",
    "applied_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Student Job Invitations.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/student/job-invitations/
GET /api/v1/launchpad/student/job-invitations/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "data": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ],
    "pagination": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  }
}
get

Retrieve Task Completed Leaderboard.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/task-completed-leaderboard/
GET /api/v1/launchpad/task-completed-leaderboard/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "is_public": false,
    "rank": 1,
    "full_name": "text",
    "karma": 1,
    "org": "text",
    "district_name": "text",
    "state": "text",
    "profile_pic": "text"
  }
}
get

Retrieve User Based College Data.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/user-college-data/
GET /api/v1/launchpad/user-college-data/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "district_name": "text",
    "state": "text",
    "total_users": 1,
    "level1": 1,
    "level2": 1,
    "level3": 1,
    "level4": 1
  }
}

Retrieve Launch Pad User.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/user-college-link/
GET /api/v1/launchpad/user-college-link/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "text",
    "district": "text",
    "zone": "text",
    "colleges": "text"
  }
}
post

Create Launch Pad User.

Authorizations
sessionidstringOptional
Body
idstring · max: 36Read-onlyRequired
full_namestring · max: 255 · nullableOptional
emailstring · max: 255Required
phone_numberstring · max: 15 · nullableOptional
rolestring · enumRequired
  • IEEEAdmin - IEEEAdmin
  • IEEEDC - IEEEDC
Possible values:
districtstring · max: 100 · nullableOptional
zonestring · max: 100 · nullableOptional
collegesstring[]Write-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/user-college-link/
POST /api/v1/launchpad/user-college-link/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 128

{
  "full_name": "text",
  "email": "text",
  "phone_number": "text",
  "role": "IEEEAdmin",
  "district": "text",
  "zone": "text",
  "colleges": [
    "text"
  ]
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "IEEEAdmin",
    "district": "text",
    "zone": "text"
  }
}

Update Launch Pad User.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/launchpad/user-college-link/
PUT /api/v1/launchpad/user-college-link/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "IEEEAdmin",
    "district": "text",
    "zone": "text",
    "remove_colleges": [
      "text"
    ],
    "add_colleges": [
      "text"
    ]
  }
}

Retrieve Launch Pad User Public.

Authorizations
sessionidstringOptional
Path parameters
emailstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/user-college-link-public/{email}
GET /api/v1/launchpad/user-college-link-public/{email} HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "text",
    "district": "text",
    "zone": "text",
    "colleges": "text"
  }
}

Retrieve Launch Pad User.

Authorizations
sessionidstringOptional
Path parameters
emailstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/user-college-link/{email}
GET /api/v1/launchpad/user-college-link/{email} HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "text",
    "district": "text",
    "zone": "text",
    "colleges": "text"
  }
}
post

Create Launch Pad User.

Authorizations
sessionidstringOptional
Path parameters
emailstringRequired
Body
idstring · max: 36Read-onlyRequired
full_namestring · max: 255 · nullableOptional
emailstring · max: 255Required
phone_numberstring · max: 15 · nullableOptional
rolestring · enumRequired
  • IEEEAdmin - IEEEAdmin
  • IEEEDC - IEEEDC
Possible values:
districtstring · max: 100 · nullableOptional
zonestring · max: 100 · nullableOptional
collegesstring[]Write-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/user-college-link/{email}
POST /api/v1/launchpad/user-college-link/{email} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 128

{
  "full_name": "text",
  "email": "text",
  "phone_number": "text",
  "role": "IEEEAdmin",
  "district": "text",
  "zone": "text",
  "colleges": [
    "text"
  ]
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "IEEEAdmin",
    "district": "text",
    "zone": "text"
  }
}

Update Launch Pad User.

Authorizations
sessionidstringOptional
Path parameters
emailstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/launchpad/user-college-link/{email}
PUT /api/v1/launchpad/user-college-link/{email} HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "IEEEAdmin",
    "district": "text",
    "zone": "text",
    "remove_colleges": [
      "text"
    ],
    "add_colleges": [
      "text"
    ]
  }
}
get
Authorizations
sessionidstringOptional
Path parameters
launchpad_idstringRequired
Responses
200

No response body

No content

get/api/v1/launchpad/user-details/{launchpad_id}/
GET /api/v1/launchpad/user-details/{launchpad_id}/ HTTP/1.1
Accept: */*
200

No response body

No content

get
Authorizations
sessionidstringOptional
Path parameters
launchpad_idstringRequired
Responses
200

No response body

No content

get/api/v1/launchpad/user-log/{launchpad_id}/
GET /api/v1/launchpad/user-log/{launchpad_id}/ HTTP/1.1
Accept: */*
200

No response body

No content

get

Retrieve User Profile.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/launchpad/user-profile/
GET /api/v1/launchpad/user-profile/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "text",
    "district": "text",
    "zone": "text",
    "colleges": "text"
  }
}
put

Update User Profile.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/launchpad/user-profile/
PUT /api/v1/launchpad/user-profile/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "email": "text",
    "phone_number": "text",
    "role": "text",
    "district": "text",
    "zone": "text",
    "colleges": "text"
  }
}
post

Create Verify Reset Token.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/launchpad/verify-reset-token/
POST /api/v1/launchpad/verify-reset-token/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "valid": true,
    "user_name": "text",
    "expires_at": "2026-01-01T00:00:00.000Z"
  }
}
post
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

post/api/v1/launchpad/verify-task/
POST /api/v1/launchpad/verify-task/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

Last updated

Was this helpful?